Skip to main content
`Ctrl`+`K`

# PetscLogStageGetName

Returns the stage name when given the stage id.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogStageGetName(PetscLogStage stage, const char *name[])

Not Collective

## Input Parameter

- stage - The stage

## Output Parameter

- name - The stage name

## See Also

Profiling, `PetscLogStageRegister()`, `PetscLogStagePush()`, `PetscLogStagePop()`, `PetscPreLoadBegin()`, `PetscPreLoadEnd()`, `PetscPreLoadStage()`

## Level

intermediate

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages